#
# spec file for package xautolck (Version pl10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xautolck
Copyright:    Stefan De Troch, Michel Eyckmans
Group:        X11/Utilities
Provides:     xautolock 
Autoreqprov:  on
Version:      pl10
Release:      409
Summary:      Lock the screen after a certain time automagically
Source: xautolock.tar.gz
Patch: xautolock.dif

%description
This program uses another locker program to lock the screen automagically
after an idle period. It may e.g. be called as follows:
xautolock -locker "xlock -mode blank"
using xlock as locker program.

Authors:
--------
    Stefan De Troch <stefan@specs.philips.com>
    Michel Eyckmans <eyckmans@imec.be>

SuSE series: xap

%prep
%setup -n xautolock.pl10
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi

%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 

%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/usr/X11R6/bin/xautolock
%doc /usr/X11R6/man/man1/xautolock.1.gz

%changelog -n xautolck
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
